# Uses of Class
org.springframework.web.servlet.handler.HandlerMappingIntrospector.CachedResult

Packages that use HandlerMappingIntrospector.CachedResult
Package
Description
org.springframework.web.servlet.handler
Provides standard HandlerMapping implementations, including abstract base classes for custom implementations.

## Uses of HandlerMappingIntrospector.CachedResult in org.springframework.web.servlet.handler

Methods in org.springframework.web.servlet.handler that return HandlerMappingIntrospector.CachedResult
Modifier and Type
Method
Description
`static HandlerMappingIntrospector.CachedResult`
HandlerMappingIntrospector.CachedResult.`getResultFor(HttpServletRequest request)`
Return a `HandlerMappingIntrospector.CachedResult` that matches the given request.
`HandlerMappingIntrospector.CachedResult`
HandlerMappingIntrospector.`setCache(HttpServletRequest request)`
Perform a lookup and save the `HandlerMappingIntrospector.CachedResult` as a request attribute.
Methods in org.springframework.web.servlet.handler with parameters of type HandlerMappingIntrospector.CachedResult
Modifier and Type
Method
Description
`void`
HandlerMappingIntrospector.`resetCache(ServletRequest request, HandlerMappingIntrospector.CachedResult cachedResult)`
Restore a previous `HandlerMappingIntrospector.CachedResult`.